commit 92dc01fa2267296f3d1fb9771c8253a573803ee1
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Mon Jun 4 00:06:08 2012 +0200

    lecture du fichier info.txt ok

diff --git a/original.ui b/original.ui
index 6c67461..b27f736 100644
--- a/original.ui
+++ b/original.ui
@@ -16,7 +16,7 @@
   <widget class="QWidget" name="centralWidget">
    <layout class="QGridLayout" name="gridLayout">
     <item row="0" column="1">
-     <widget class="QFrame" name="frame_2">
+     <widget class="QFrame" name="frmPrincipale">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
         <horstretch>0</horstretch>
@@ -51,28 +51,134 @@
          </property>
         </widget>
        </item>
-       <item row="1" column="0" colspan="3">
-        <widget class="QListView" name="lvResult">
-         <property name="iconSize">
-          <size>
-           <width>96</width>
-           <height>96</height>
-          </size>
-         </property>
-         <property name="gridSize">
-          <size>
-           <width>128</width>
-           <height>128</height>
-          </size>
-         </property>
-         <property name="viewMode">
-          <enum>QListView::IconMode</enum>
+       <item row="0" column="3">
+        <widget class="QCommandLinkButton" name="commandLinkButton">
+         <property name="text">
+          <string>Propriétés</string>
          </property>
-         <property name="uniformItemSizes">
-          <bool>true</bool>
+        </widget>
+       </item>
+       <item row="1" column="0" colspan="4">
+        <widget class="QStackedWidget" name="stackedWidget">
+         <property name="currentIndex">
+          <number>1</number>
          </property>
-         <property name="wordWrap">
-          <bool>true</bool>
+         <widget class="QWidget" name="page">
+          <layout class="QGridLayout" name="gridLayout_4">
+           <item row="0" column="0">
+            <widget class="QListWidget" name="lwPictures">
+             <property name="iconSize">
+              <size>
+               <width>120</width>
+               <height>120</height>
+              </size>
+             </property>
+             <property name="gridSize">
+              <size>
+               <width>128</width>
+               <height>128</height>
+              </size>
+             </property>
+             <property name="viewMode">
+              <enum>QListView::IconMode</enum>
+             </property>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+         <widget class="QWidget" name="page_2">
+          <layout class="QGridLayout" name="gridLayout_2">
+           <item row="0" column="0">
+            <widget class="QLabel" name="label_5">
+             <property name="text">
+              <string>Titre</string>
+             </property>
+            </widget>
+           </item>
+           <item row="0" column="1">
+            <widget class="QLineEdit" name="leTitre"/>
+           </item>
+           <item row="1" column="0">
+            <widget class="QLabel" name="label_3">
+             <property name="text">
+              <string>Description</string>
+             </property>
+            </widget>
+           </item>
+           <item row="1" column="1">
+            <widget class="QLineEdit" name="leDesc"/>
+           </item>
+           <item row="2" column="0">
+            <widget class="QLabel" name="label_6">
+             <property name="text">
+              <string>Auteur</string>
+             </property>
+            </widget>
+           </item>
+           <item row="2" column="1">
+            <widget class="QLineEdit" name="leAuthor"/>
+           </item>
+           <item row="2" column="2">
+            <widget class="QLabel" name="label">
+             <property name="text">
+              <string>Date</string>
+             </property>
+            </widget>
+           </item>
+           <item row="2" column="3">
+            <widget class="QDateEdit" name="dateEdit">
+             <property name="calendarPopup">
+              <bool>true</bool>
+             </property>
+            </widget>
+           </item>
+           <item row="3" column="0" colspan="4">
+            <widget class="QGroupBox" name="groupBox">
+             <property name="title">
+              <string>Album photo protégé par mot de passe </string>
+             </property>
+             <layout class="QFormLayout" name="formLayout">
+              <item row="1" column="0">
+               <widget class="QLabel" name="label_4">
+                <property name="text">
+                 <string>Identifiant</string>
+                </property>
+               </widget>
+              </item>
+              <item row="1" column="1">
+               <widget class="QLineEdit" name="leLogin"/>
+              </item>
+              <item row="2" column="0">
+               <widget class="QLabel" name="label_2">
+                <property name="text">
+                 <string>Mot de passe</string>
+                </property>
+               </widget>
+              </item>
+              <item row="2" column="1">
+               <widget class="QLineEdit" name="lePasswd"/>
+              </item>
+              <item row="0" column="0" colspan="2">
+               <widget class="QLabel" name="label_7">
+                <property name="text">
+                 <string>Complétez les deux champs ci-dessous si vous voulez protéger l'accès (lorsqu'il sera publié sur internet) à cet album photo par un identifiant et un mot de passe.</string>
+                </property>
+                <property name="wordWrap">
+                 <bool>true</bool>
+                </property>
+               </widget>
+              </item>
+             </layout>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+        </widget>
+       </item>
+       <item row="2" column="3">
+        <widget class="QPushButton" name="btnSave">
+         <property name="text">
+          <string>&amp;Sauvegarder</string>
          </property>
         </widget>
        </item>
@@ -157,6 +263,21 @@
   </action>
  </widget>
  <layoutdefault spacing="6" margin="11"/>
+ <tabstops>
+  <tabstop>leSource</tabstop>
+  <tabstop>leDest</tabstop>
+  <tabstop>btnExport</tabstop>
+  <tabstop>commandLinkButton</tabstop>
+  <tabstop>leTitre</tabstop>
+  <tabstop>leDesc</tabstop>
+  <tabstop>leAuthor</tabstop>
+  <tabstop>dateEdit</tabstop>
+  <tabstop>leLogin</tabstop>
+  <tabstop>lePasswd</tabstop>
+  <tabstop>btnSave</tabstop>
+  <tabstop>treeWidget</tabstop>
+  <tabstop>lwPictures</tabstop>
+ </tabstops>
  <resources/>
  <connections>
   <connection>