commit d5cf95c7c2b0eb306f88fa49b17b6da3a6248786
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Sun Aug 22 14:23:00 2010 +0200

    gestion du cas particulier d'un client 8.08 a qui il faut faire un pack 9.08

diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2_8_to_9.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2_8_to_9.form.php
new file mode 100644
index 0000000..198d3bd
--- /dev/null
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2_8_to_9.form.php
@@ -0,0 +1,126 @@
+<?php
+// Génère le fichier ODT/PDF pour le revendeur avec son numéro de pack à utiliser. Ce fichier doit contenir un certain nombre d'informations (url pour enregistrer son pack etc.)
+
+if(!defined('GLPI_ROOT')){
+  define('GLPI_ROOT', '../../..');
+}
+include_once (GLPI_ROOT . "/inc/includes.php");
+include_once("tools.php");
+
+checkRight("config","w");
+//checkSeveralRightsOr(array("config" => "w", "profile" => "w"));
+
+require_once('lib/odf.php');
+$odf = new odf("abuledu-epack.odt");
+//$odf->exportAsAttachedFile();
+//$odf->printVars();
+//print_r($odf);
+//$odf->saveToDisk('tmp/fichier.odt');
+
+global $DB;
+
+//Les coordonnées du client
+$fk_entitee_client  = $_POST['FK_entitee_client'];
+$fk_entitee_enduser = $_POST['FK_entitee_enduser'];
+
+//Ensuite on cherche des details sur ce client (quel a ete le revendeur, ref contrat de maintenance etc.)
+$query_maint  = "SELECT * FROM glpi_plugin_anet_epacks WHERE FK_enduser='" . $fk_entitee_enduser . "' AND FK_client='" . $fk_entitee_client . "'";
+$result_maint = $DB->query($query_maint);
+$data_maint   = $DB->fetch_array($result_maint);
+//print $query_maint;
+if(count($data_maint) > 1) {
+  //On verifie que c est bien un vieux epack 8.08
+  if(strstr($data_maint['code'],"ABE08-")) {
+    //pack trouve on recupere les infos dont on a besoin pour assigner le nouveau pack
+
+    /*
+     print "<pre>";
+     print_r($data_maint);
+     print "</pre>";
+    */
+
+    //on desactive ce pack completement puisqu'il va etre remplace par un autre tout neuf
+    $query_c  = "UPDATE glpi_plugin_anet_epacks SET FK_contract='-2' WHERE ID='" . $data_maint['ID'] . "'";
+    $result_c = $DB->query($query_c);
+    $data_c   = $DB->fetch_array($result_c);
+    //    print "<p>Ancien epack ref " . $data_maint['code'] . " désactivé.</p>";
+  }
+  else {
+    print "Ce pack ne peut pas être migré, il n'est pas en version 8.08 ";
+  }
+ }
+ else {
+   print "Aucun epack existant pour ce client ... mais peut etre qu'on peut le trouver quand meme ...";
+   $query_sc  = "SELECT * FROM glpi_entities WHERE ID='" . $fk_entitee_enduser . "' AND parentID='" . $fk_entitee_client . "'";
+   $result_sc = $DB->query($query_sc);
+   $data_sc   = $DB->fetch_array($result_sc);
+   print $query_sc;
+   print "<br />";
+   if(count($data_sc) > 1) {
+     //On peut recoller les morceaux, les epacks 8.08 ne sont pas toujours rattaché au compte client ...
+     print "on rattache";
+     $query_c  = "UPDATE glpi_plugin_anet_epacks SET FK_client='" . $fk_entitee_client . "' WHERE FK_enduser='" . $fk_entitee_enduser . "' AND FK_client='0'";
+     print $query_c;
+     $result_c = $DB->query($query_c);
+     $data_c   = $DB->fetch_array($result_c);
+     print "Actualisez la page pour appliquer le correctif en cours";
+   }
+ }
+
+//Un pack non attribué
+$query="SELECT * FROM glpi_plugin_anet_epacks WHERE FK_clientderyxeo='0' AND creation_date='0000-00-00' AND code LIKE 'ABE10%' LIMIT 1;";
+//$DB->query($query) or die($DB->error());
+$result = $DB->query($query);
+$data=$DB->fetch_array($result);
+
+if($data['code'] == "") {
+  print "<p>Erreur, il n'y a plus de pack disponible ... </p>";
+  print "<p>Génération automatique d'un nouveau epack, actualisez la page et tout devrait marcher ...</p>";
+  global $DB;
+  $nb_packs = 1;
+  $prefix = "ABE10-01-";
+  for($i = 0; $i < $nb_packs; $i++) {
+    srand();
+    $code=$prefix . rand(1000,9999) . "-" . chr(rand(65,90)) . chr(rand(65,90)) . chr(rand(65,90)) . chr(rand(65,90)) . "-" . rand(1000,9999);
+    $password=rand(1000,9999) . "-" . rand(1000,9999);
+    $query="INSERT into glpi_plugin_anet_epacks(creation_date,expiration_date,code,password) values( '0000-00-00' ,'2010-12-31','$code','$password');";
+    print $query;
+    $DB->query($query);// or die($DB->error());
+  }
+  exit;
+ }
+
+$odf->setVars('code', $data['code']);
+$odf->setVars('password', $data['password']);
+
+setlocale(LC_TIME, "fr_FR");
+$odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
+
+//On nous a donné les coordonnées (entité) du client final, pas du "client qui paye"
+
+$query2="SELECT * FROM glpi_entities, glpi_entities_data WHERE glpi_entities.ID=FK_entities AND glpi_entities.ID='$fk_entitee_client';";
+//print $query2;
+//$DB->query($query2) or die($DB->error());
+$result2 = $DB->query($query2);
+$data2=$DB->fetch_array($result2);
+
+$odf->setVars('correspondant', $data2['name'], true, 'UTF-8');
+$odf->setVars('adresse', $data2['address'], true, 'UTF-8');
+$odf->setVars('cp', $data2['postcode']);
+$odf->setVars('ville', $data2['town'], true, 'UTF-8');
+
+//On "grille" le epack pour eviter de l'affecter a qqn d'autre ... cas particulier du client direct
+if($_POST['clientdirect'] == 1) {
+  $addquery3 = ",FK_activation='$fk_entitee_client',FK_client='$fk_entitee_client',FK_enduser='$fk_entitee_enduser'";
+ }
+$query3="UPDATE glpi_plugin_anet_epacks set FK_clientderyxeo='$fk_entitee',creation_date='" . date("Y-m-d") . "'" . $addquery3 . " WHERE ID='" . $data['ID'] . "';";
+$DB->query($query3) or die($DB->error());
+
+//On créé un fichier local pour archive ...
+$fichier="archives/" . date("Y-m-d") . "-" . $data['code'] . ".odt";
+$odf->saveToDisk($fichier);
+
+//On génère le fichier
+//$odf->exportAsAttachedFile();
+pushfile($fichier);
+?>
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client_8_to_9.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client_8_to_9.form.php
new file mode 100644
index 0000000..6b3e771
--- /dev/null
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client_8_to_9.form.php
@@ -0,0 +1,30 @@
+<?php
+
+// Génère le fichier ODT/PDF pour le revendeur avec son numéro de pack à utiliser. Ce fichier doit contenir un certain nombre d'informations (url pour enregistrer son pack etc.)
+
+if(!defined('GLPI_ROOT')){
+  define('GLPI_ROOT', '../../..');
+}
+include_once (GLPI_ROOT . "/inc/includes.php");
+
+checkRight("config","w");
+//checkRight("anet_epack","r");
+//checkSeveralRightsOr(array("config" => "w", "profile" => "w"));
+
+commonHeader("anet_epacks",$_SERVER['PHP_SELF'],"config","plugins");
+
+print "<p>Choisissez le nom de l'entité qui utilise le serveur (utilisateur final) ... Par exemple l'école aristide briand. Ce pack permettra de réinstaller le serveur 8.08 en 9.08 sans re-créer de compte client automatiquement au passage (un peu comme un pack préactivé).</p>\n";
+
+print "<form name=\"gencertif\" action=\"plugin_anet_epacks.generate_odt_client2_8_to_9.form.php\" method=\"post\">\n";
+print "<input type=\"hidden\" name=\"clientdirect\" value=\"1\" >\n";
+print "Client qu'on facture (mairie): ";
+dropdownValue("glpi_entities", "FK_entitee_client", '');
+print "<br />\n";
+print "Utilisateur final (école); ";
+dropdownValue("glpi_entities", "FK_entitee_enduser", '');
+print "<br />\n";
+print "&nbsp;<input type=\"submit\" name=\"massiveaction\" class=\"submit\" value=\"".$LANG["buttons"][2]."\" >\n";
+print "</form>\n";
+
+commonFooter();
+?>
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.index.php b/plugins/anet_epacks/front/plugin_anet_epacks.index.php
index fc3063f..d734dad 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.index.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.index.php
@@ -41,6 +41,7 @@ print "
  <li><a href=\"plugin_anet_epacks.view_by_rvd.php?year=" . date("Y") . "\">Consulter la liste des packs par revendeur</a></li>
  <li><a href=\"plugin_anet_epacks.generate_odt_revendeur.form.php\">Créer un nouveau pack pour un REVENDEUR</a></li>
  <li><a href=\"plugin_anet_epacks.generate_odt_client.form.php\">Créer un nouveau pack pour un CLIENT</a></li>
+ <li><a href=\"plugin_anet_epacks.generate_odt_client_8_to_9.form.php\">Créer un nouveau pack CLIENT qui migre un serveur 8.08 en 9.08</a></li>
  <li><a href=\"plugin_anet_epacks.generate_odt_contrat_partenaire_enr2009.form.php\">Créer un contrat de maintenance pour partenaire ENR 2009</a></li>
  <li><a href=\"plugin_anet_epacks.generate_odt_maintenance.form.php\">Associer un contrat de maintenance à des pack(s)</a></li>
  <li><a href=\"plugin_anet_epacks.view_maintenance.php?year=" . date("Y") . "\">Liste des contrats auto-générés</a></li>