commit dd95fdd4d93c0d521922303bf05106a55f03204d
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Tue Jan 4 10:43:15 2011 +0100

    fix un bug de creation du courrier envoye pour fin de contrat + modif pour les noms de fichiers y-m-d devient ymd

diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php
index b86670c..9a15174 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php
@@ -98,7 +98,7 @@ $query3="UPDATE glpi_plugin_anet_epacks set FK_clientderyxeo='$fk_entitee',creat
 $DB->query($query3) or die($DB->error());
 
 //On créé un fichier local pour archive ...
-$fichier="archives/" . date("Y-m-d") . "-" . $data['code'] . ".odt";
+$fichier="archives/" . date("Ymd") . "-" . $data['code'] . ".odt";
 $odf->saveToDisk($fichier);
 
 //On génère le fichier
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
index 2a09dfb..0c9a769 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
@@ -29,13 +29,13 @@ if(isset($_GET['clientid'])) {
 
   //Le nom du contrat
   $clientid = $_GET['clientid'];
-  $query = "SELECT name FROM glpi_contracts WHERE ID='$clientid'";
+  $query = "SELECT name FROM glpi_contracts WHERE FK_entities='$clientid'";
   //print "<p>$query</p>";
   $result = $DB->query($query);
   $data=$DB->fetch_array($result);
   if(trim($data[0]) == "") {
     $clientid=$_GET['cid'];
-    $query = "SELECT name FROM glpi_contracts WHERE ID='$clientid'";
+    $query = "SELECT name FROM glpi_contracts WHERE FK_entities='$clientid'";
     //print "<p>$query</p>";
     $result = $DB->query($query);
     $data=$DB->fetch_array($result);
@@ -57,7 +57,7 @@ if(isset($_GET['clientid'])) {
   $partenaire = "";
   if(trim($_GET['clientderyxeoid']) != "") {
     $query3="SELECT name as partenaire FROM glpi_entities WHERE ID= '" . $_GET['clientderyxeoid'] . "'";
-    // print $query3;
+    //print "<p>$query3</p>";
     $result3 = $DB->query($query3);
     $data3   = $DB->fetch_array($result3);
     $partenaire = $data3['partenaire'];
@@ -70,7 +70,7 @@ if(isset($_GET['clientid'])) {
   $odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
 
   $query2="SELECT * FROM glpi_entities, glpi_entities_data WHERE glpi_entities.ID=FK_entities AND glpi_entities.ID='$fk_entitee';";
-  //  print "<p>$query2</p>";
+  //print "<p>$query2</p>";
   //$DB->query($query2) or die($DB->error());
   $result2 = $DB->query($query2);
   $data2=$DB->fetch_array($result2);
@@ -88,10 +88,14 @@ if(isset($_GET['clientid'])) {
   $odf->setVars('datefin',  $datefin, true, 'UTF-8');
 
   //On créé un fichier local pour archive ...
-  $fichier = "courriers/" . date("Y-m-d") . "-abuledu-fin_de_maintenance-" . $cname . ".odt";
+  $fichier = "courriers/" . date("Ymd") . "-abuledu-fin_de_maintenance-" . $cname . ".odt";
+
+  //debug eric
   $odf->saveToDisk($fichier);
   pushfile($fichier);
-  //On génère le fichier
+
+
+  //On génère le fichier (autre methode)
   //$odf->exportAsAttachedFile();
   //print $texte;
    
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php
index 2adcc02..8a69f96 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php
@@ -81,7 +81,7 @@ if(isset($_GET['cid'])) {
   $odf->setVars('clientcontact', "____________________", true, 'UTF-8');
   
   //On créé un fichier local pour archive ...
-  $fichier = "contrats/" . date("Y-m-d") . "-abuledu-maintenance-" . $cname . ".odt";
+  $fichier = "contrats/" . date("Ymd") . "-abuledu-maintenance-" . $cname . ".odt";
   $odf->saveToDisk($fichier);
   pushfile($fichier);
   //On génère le fichier
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php
index 0311f7b..51a1a57 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php
@@ -56,7 +56,7 @@ $query3="UPDATE glpi_plugin_anet_epacks set FK_clientderyxeo='$fk_entitee',creat
 $DB->query($query3) or die($DB->error());
 
 //On créé un fichier local pour archive ...
-$fichier="archives/" . date("Y-m-d") . "-" . $data['code'] . ".odt";
+$fichier="archives/" . date("Ymd") . "-" . $data['code'] . ".odt";
 $odf->saveToDisk($fichier);
 
 pushfile($fichier);