commit 97e946611ed002a08cfe47dba37928e6dc2b866d
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Mon Aug 8 11:29:38 2011 +0200

    locale utf8 pour la date

diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_activated.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_activated.form.php
index 2b24dc5..ea3bf01 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_activated.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_activated.form.php
@@ -48,7 +48,7 @@ $data=$DB->fetch_array($result);
 $odf->setVars('code', $data['code']);
 $odf->setVars('password', $data['password']);
 
-setlocale(LC_TIME, "fr_FR");
+setlocale(LC_TIME, 'fr_FR.UTF8', 'fr.UTF8', 'fr_FR.UTF-8', 'fr.UTF-8'); 
 $odf->setVars('date', strftime("%A %e %B %Y"),'true', 'UTF-8');
 
 //Les coordonnées du client de ryxeo
@@ -80,7 +80,7 @@ if(preg_match("/avenant_contrat_partenaire/i",$_GET['mode'])) {
   $odf->setVars('globalcname', $data2['name'], true, 'UTF-8');
 
   $odf->setVars('epack', $data['code'], true, 'UTF-8');
-  setlocale(LC_TIME, "fr_FR");
+  setlocale(LC_TIME, 'fr_FR.UTF8', 'fr.UTF8', 'fr_FR.UTF-8', 'fr.UTF-8'); 
   $timestamp = strtotime($_GET['date']);
   $odf->setVars('datedebut', strftime("%A %e %B %Y",$timestamp),'true', 'UTF-8');
 
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php
index e1f25c6..3aeea28 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_client2.form.php
@@ -76,7 +76,7 @@ if(isset($_GET['code'])) {
 $odf->setVars('code', $data['code']);
 $odf->setVars('password', $data['password']);
 
-setlocale(LC_TIME, "fr_FR");
+setlocale(LC_TIME, 'fr_FR.UTF8', 'fr.UTF8', 'fr_FR.UTF-8', 'fr.UTF-8'); 
 $odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
 
 $query2="SELECT * FROM glpi_entities, glpi_entities_data WHERE glpi_entities.ID=FK_entities AND glpi_entities.ID='$fk_entitee';";
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
index 0c9a769..d8fb3c9 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
@@ -64,7 +64,7 @@ if(isset($_GET['clientid'])) {
   }
 
   $odf = new odf("abuledu-courrier_fin_maintenance_cette_annee.odt");
-  setlocale(LC_TIME, "fr_FR");
+  setlocale(LC_TIME, 'fr_FR.UTF8', 'fr.UTF8', 'fr_FR.UTF-8', 'fr.UTF-8'); 
   error_reporting(E_ALL);
 
   $odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php
index 8a69f96..4b067f2 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_maintenance3.form.php
@@ -47,7 +47,7 @@ if(isset($_GET['cid'])) {
   $niveau = "-" . $_GET['niveau'];
 
   $odf = new odf("abuledu" . $niveau . ".odt");
-  setlocale(LC_TIME, "fr_FR");
+  setlocale(LC_TIME, 'fr_FR.UTF8', 'fr.UTF8', 'fr_FR.UTF-8', 'fr.UTF-8'); 
   error_reporting(E_ALL);
   $odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
 
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php
index be37dfc..668f791 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_revendeur2.form.php
@@ -46,7 +46,7 @@ $odf->setVars('code', $data['code']);
 $odf->setVars('password', $data['password']);
 
 
-setlocale(LC_TIME, "fr_FR");
+setlocale(LC_TIME, 'fr_FR.UTF8', 'fr.UTF8', 'fr_FR.UTF-8', 'fr.UTF-8'); 
 $odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
 
 //Les coordonnées du client
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.view_recap_mensuel_rvd.php b/plugins/anet_epacks/front/plugin_anet_epacks.view_recap_mensuel_rvd.php
index f88b84c..5adc045 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.view_recap_mensuel_rvd.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.view_recap_mensuel_rvd.php
@@ -8,7 +8,7 @@ if(!defined('GLPI_ROOT')){
 include_once (GLPI_ROOT . "/inc/includes.php");
 
 //Les dates en francais svp
-setlocale(LC_TIME, "fr_FR");
+setlocale(LC_TIME, 'fr_FR.UTF8', 'fr.UTF8', 'fr_FR.UTF-8', 'fr.UTF-8'); 
 
 checkRight("config","w");
 //checkSeveralRightsOr(array("config" => "w", "profile" => "w"));