commit 0a369d2d9053e282d0593169e89cc9c1b961f9d1
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Fri Apr 2 18:40:53 2010 +0200

    utf8

diff --git a/htdocs/epack/export/checksum b/htdocs/epack/export/checksum
index 563cf9c..1f09194 100644
Binary files a/htdocs/epack/export/checksum and b/htdocs/epack/export/checksum differ
diff --git a/htdocs/epack/export/checksum.md5 b/htdocs/epack/export/checksum.md5
index 6528547..fce2d6c 100644
--- a/htdocs/epack/export/checksum.md5
+++ b/htdocs/epack/export/checksum.md5
@@ -1 +1 @@
-d2dbb8c40f614ece8672e71708408b48  checksum
+b157611a992fa7afa8fbf189ec1194de  checksum
diff --git a/htdocs/epack/recette.php b/htdocs/epack/recette.php
index a751a44..c11e07c 100644
--- a/htdocs/epack/recette.php
+++ b/htdocs/epack/recette.php
@@ -83,42 +83,42 @@ WHERE code='$code' AND password='$pass'";
       $odf->setVars('datecourte', date("d/m/Y"));
       
       //L'installateur
-      $odf->setVars('installateursociete', $tab_rvd['RVD_CODE']);
-      $odf->setVars('installateuradresse', $tab_rvd['RVD_ADDRESS']);
-      $odf->setVars('installateurcp',      $tab_rvd['RVD_CO']);
-      $odf->setVars('installateurville',   $tab_rvd['RVD_CITY']);
-      $odf->setVars('installateuremail',   $tab_rvd['RVD_EMAIL']);
-      $odf->setVars('installateurtel',     $tab_rvd['RVD_PHONE']);
+      $odf->setVars('installateursociete', $tab_rvd['RVD_CODE'], true, 'UTF-8');
+      $odf->setVars('installateuradresse', $tab_rvd['RVD_ADDRESS'], true, 'UTF-8');
+      $odf->setVars('installateurcp',      $tab_rvd['RVD_CO'], true, 'UTF-8');
+      $odf->setVars('installateurville',   $tab_rvd['RVD_CITY'], true, 'UTF-8');
+      $odf->setVars('installateuremail',   $tab_rvd['RVD_EMAIL'], true, 'UTF-8');
+      $odf->setVars('installateurtel',     $tab_rvd['RVD_PHONE'], true, 'UTF-8');
     
       //Le client
-      $odf->setVars('client',        $tab_client["installation_name"]);
-      $odf->setVars('clientadresse', $tab_client["installation_address0"]);
-      $odf->setVars('clientcp',      $tab_client["installation_postalcode"]);
-      $odf->setVars('clientville',   $tab_client["installation_city"]);
-      $odf->setVars('clienttel',     $tab_client["installation_phone"]);
-      $odf->setVars('clientmail',    $tab_client["installation_email"]);
+      $odf->setVars('client',        $tab_client["installation_name"], true, 'UTF-8');
+      $odf->setVars('clientadresse', $tab_client["installation_address0"], true, 'UTF-8');
+      $odf->setVars('clientcp',      $tab_client["installation_postalcode"], true, 'UTF-8');
+      $odf->setVars('clientville',   $tab_client["installation_city"], true, 'UTF-8');
+      $odf->setVars('clienttel',     $tab_client["installation_phone"], true, 'UTF-8');
+      $odf->setVars('clientmail',    $tab_client["installation_email"], true, 'UTF-8');
       
       //abuledu.net
       $odf->setVars('anetdip', "TODO");
       $odf->setVars('anetdyn', "a venir");
       
       //Internet
-      $odf->setVars('internetip', $tab_server["externalip"]);
-      $odf->setVars('internetfai', $tab_server["fai"]);
+      $odf->setVars('internetip', $tab_server["externalip"], true, 'UTF-8');
+      $odf->setVars('internetfai', $tab_server["fai"], true, 'UTF-8');
       
       //wifi
-      $odf->setVars('wifimarque', $tab_wifi["wifimarque"]);
-      $odf->setVars('wifimodele', $tab_wifi["wifimodele"]);
-      $odf->setVars('wifiwpa', $tab_wifi["wifiwpa"]);
+      $odf->setVars('wifimarque', $tab_wifi["wifimarque"], true, 'UTF-8');
+      $odf->setVars('wifimodele', $tab_wifi["wifimodele"], true, 'UTF-8');
+      $odf->setVars('wifiwpa', $tab_wifi["wifiwpa"], true, 'UTF-8');
       
       //serveur
-      $odf->setVars('serveurmarque', $tab_server["vendor"]);
-      $odf->setVars('serveurmodele', $tab_server["product"]);
+      $odf->setVars('serveurmarque', $tab_server["vendor"], true, 'UTF-8');
+      $odf->setVars('serveurmodele', $tab_server["product"], true, 'UTF-8');
       if(trim($tab_server["serial"] != ""))
-	$odf->setVars('serveurserial', "(SERIAL #" . $tab_server["serial"] . ")");
+	$odf->setVars('serveurserial', "(SERIAL #" . $tab_server["serial"] . ")", true, 'UTF-8');
       
       //abuladmin
-      $odf->setVars('abuladminpass', "TODO");
+      $odf->setVars('abuladminpass', "TODO", true, 'UTF-8');
       
       //disque dur
       //    $odf->setVars('srvhddcount', count($tab_hdd));